const express = require('express');
const router = express.Router();
const controller = require('../controllers/tipo_produto_clientes');

/* GET produtos cliente listing. */
router.get('/', controller.getTipo_produto);

router.get('/:id_tipo_produto_clientes', controller.getTipo_produtoID);

router.get('/entidade/:cliente', controller.getTipo_produtoEntidade);

router.get('/cliente/:cliente', controller.getTipo_produtoCliente);

/* GET produtos cliente listing. */
router.post('/', controller.postTipo_produto);

/* GET produtos cliente listing. */
router.patch('/:id_tipo_produto_clientes', controller.patchTipo_produto)

/* GET produtos cliente listing. */
router.delete('/:id_tipo_produto_clientes', controller.deleteTipo_produto)

module.exports = router; 
